package org.itscool.weber.user;

/**
 * 権限情報クラス
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2004/11/1
 */
public class Role {
    public static final String TABLE="ROLE";
    public static final String PK_COLUM_id = "ID";
    public static final String COLUM_name = "NAME";
    
    /** ID（DB用）*/
    private int id = -1;
    /** 権限名 */
    private String name;
    
    /**
     * IDを取得（DB用）
     * @return ID
     */
    public int getId() {
        return id;
    }
    
    /**
     * IDをセット
     * @param id ID
     */
    public void setId(int id) {
        this.id = id;
    }
    
    /**
     * 権限名を取得
     * @return 権限名
     */
    public String getName() {
        return name;
    }
    
    /**
     * 権限名をセット
     * @param name 権限名
     */
    public void setName(String name) {
        this.name = name;
    }
    
    /**
     * 権限情報を文字列で取得します
     * @return 権限情報
     */
    public String toString(){
        return name;
    }
}
